# Copyright (c) 2000-2003 LOGILAB S.A. (Paris, FRANCE).
# http://www.logilab.fr/ -- mailto:contact@logilab.fr
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
"""
Parse python files and generate unit tests.
"""

__revision__ = "$Id: py2tests.py,v 1.13 2005/04/15 11:00:40 syt Exp $"

from pyreverse.utils import RunHelper
from pyreverse.visitors.test_generator import UnittestGenerator

class Run(RunHelper):
    """command line manager"""
    def __init__(self):
        self.visitor = UnittestGenerator()
        RunHelper.__init__(self, "parse python sources files and generate \
unittests from them", (self.visitor,))
        
    def do_run(self, project):
        """run the test generation visitor"""
        self.visitor.visit(project)
    
if __name__ == "__main__":
    Run()
