# Copyright (c) 2000-2004 LOGILAB S.A. (Paris, FRANCE).
# http://www.logilab.fr/ -- mailto:contact@logilab.fr
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
"""
unittest for visitors.diadefs and extensions.diadefslib modules
"""

__revision__ = "$Id: unittest_testgen.py,v 1.5 2005/04/15 11:00:48 syt Exp $"

import unittest
from pyreverse.visitors.test_generator import UnittestGenerator
from utils import FileTC, build_file_case, get_project

project = get_project('data')

class UnittestGeneratorTC(FileTC):
        
    generated_files = ('unittest_data.py',
                       'unittest_data_suppliermodule_test.py',
                       'unittest_data_clientmodule_test.py')
    def setUp(self):
        FileTC.setUp(self)
        gen = UnittestGenerator()
        gen.config.backup = 0
        gen.config.test_dir = '.'
        gen.visit(project)
        
build_file_case(UnittestGeneratorTC)



if __name__ == '__main__':
    unittest.main()
